DH_INSTALLEMACSEN(1)

NOME
dh_installemacsen - regista uma adição Emacs no pacote

RESUMO
dh_installemacsen [debhelper opções] [-n] [--priority=n] [--flavor=foo]

DESCRIÇÃO
dh_installemacsen é um programa debhelper que é responsável por instalar ficheiros usados pelo pacote Debian emacsen-common em directórios de compilação de pacotes.

Também gera automaticamente os comandos preinst postinst e prerm necessários para registar um pacote como uma adição Emacs no pacote. Os comandos são adicionados ao script do maintainer pelo dh_installdeb. Veja dh_installdeb(1) para uma explicação de como isto funciona.

FICHEIROS

debian/pacote.emacsen-compat
    Instalado em usr/lib/emacsen-common/packages/compat/package no directório de compilação do pacote.

debian/pacote.emacsen-install
    Instalado em usr/lib/emacsen-common/packages/install/package no directório de compilação do pacote.

debian/pacote.emacsen-remove
    Instalado em usr/lib/emacsen-common/packages/remove/package no directório de compilação do pacote.

debian/pacote.emacsen-startup
    Instalado em etc/emacs/site-start.d/50pacote.el no directório de compilação do pacote. Use --priority para usar uma prioridade diferente de 50.

OPÇÕES

-n, --no-scripts
    Não modifique os scripts postinst/prerm.

--priority=n
    Define o número de prioridade de um ficheiro site-start.d. O valor predefinido é 50.

--flavor=foo
    Define qual variante de ficheiro site-start.d será instalado. A predefinição é emacs, as alternativas incluem xemacs e emacs20.

NOTAS
Note que este comando não é idempotente. O dh_prep(1) deve ser chamado entre invocações deste comando. Caso contrário, pode causar múltiplas instâncias do mesmo texto a ser adicionado aos scripts do maintainer.

VEJA TAMBÉM
debhelper(7) "usr/share/doc/emacsen-common/debian-emacs-policy.gz"

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.